---
updatedAt: 2026-05-04T19:18:29.000Z
agentTools:
  siteIndex: https://developers.pismo.io/llms.txt
  projectIndex: https://developers.pismo.io/pismo-docs/llms.txt
---

# List Pix scheduler executions

List Pix payment scheduler executions - scheduled Pix transfers that have run to completion. A scheduled transfer can have many executions if, for example, it is recurring.

For `PRESET` schedulers, all executions are created upfront when the scheduler is registered, so this endpoint returns the complete set of executions provided in `scheduler_details.executions`.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Instant payments - Pix payments",
    "description": "API to handle Pix transactions",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support/"
    },
    "license": {
      "name": "Copyright Pismo"
    },
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://sandbox-cdn.pismolabs.io",
      "description": "Sandbox API server for testing"
    },
    {
      "url": "https://sandbox-cdn.pismolabs.io/inst-pull-pay",
      "description": "Sandbox API server for testing instant pull pay."
    }
  ],
  "tags": [
    {
      "name": "Scheduled transfers V2"
    }
  ],
  "components": {
    "parameters": {
      "AfterIdQuery": {
        "in": "query",
        "name": "afterId",
        "description": "Last returned item ID from response. Use this field to return more results.",
        "required": false,
        "schema": {
          "type": "string"
        }
      },
      "AuthHeader": {
        "in": "header",
        "name": "Authorization",
        "required": true,
        "description": "Account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in a <b>401 Unauthorized</b> message.",
        "schema": {
          "type": "string",
          "example": "Bearer eyJhbGci...IUzUx"
        }
      },
      "BeginDateQuery2": {
        "name": "beginDate",
        "in": "query",
        "description": "Begin creation date for scheduler executions filter. Format = YYYY-MM-DD.\n",
        "schema": {
          "type": "string"
        },
        "example": "2023-04-12"
      },
      "CIDheader": {
        "name": "x-cid",
        "description": "The Correlation ID UUID field links related API requests and events. The `x-cid` can help the Pismo engineering team track everything related to a call. If not passed, this field is automatically generated.\n",
        "in": "header",
        "required": false,
        "schema": {
          "type": "string"
        }
      },
      "EndDateQuery2": {
        "name": "endDate",
        "in": "query",
        "description": "End creation date for scheduler executions filter. Format = YYYY-MM-DD.\n",
        "schema": {
          "type": "string"
        },
        "example": "2023-04-12"
      },
      "ExecutionStatusQuery": {
        "name": "status",
        "in": "query",
        "required": false,
        "schema": {
          "type": "string",
          "enum": [
            "PENDING",
            "SUCCESS",
            "FAIL",
            "CANCELLED",
            "PROCESSING",
            "DELIVERED"
          ]
        },
        "description": "Execution status filter",
        "example": "PENDING"
      },
      "PerPageQuery": {
        "name": "perPage",
        "in": "query",
        "description": "Per page amount (min=1, max=100). Default is `20`.",
        "required": true,
        "schema": {
          "type": "string"
        }
      }
    },
    "schemas": {
      "customer.DetailMessage": {
        "type": "object",
        "properties": {
          "external": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/customer.ExternalMessage"
            }
          },
          "parameters": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/customer.ParameterMessage"
            }
          },
          "payload": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/customer.PayloadMessage"
            }
          }
        }
      },
      "customer.Error": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error's code.",
            "example": "EPT0001"
          },
          "details": {
            "$ref": "#/components/schemas/customer.DetailMessage"
          },
          "message": {
            "type": "string",
            "description": "Error's message.",
            "example": "User not found"
          }
        }
      },
      "customer.ExternalMessage": {
        "type": "object",
        "required": [
          "code",
          "message"
        ],
        "properties": {
          "code": {
            "type": "string",
            "description": "Error code.",
            "example": "PBE315"
          },
          "message": {
            "type": "string",
            "description": "Error message.",
            "example": "Generic error"
          }
        }
      },
      "customer.ParameterMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Parameter field",
            "example": "Query parameter"
          },
          "message": {
            "type": "string",
            "description": "Message about parameter",
            "example": "Generic error"
          }
        }
      },
      "customer.PayloadMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Payload parameter",
            "example": "Entity.field"
          },
          "message": {
            "type": "string",
            "description": "Message about error",
            "example": "Generic error"
          }
        }
      },
      "ExecutionID": {
        "type": "integer",
        "description": "Sequential number incremented for each scheduled transfer execution.",
        "example": 2
      },
      "ExecutionStatus": {
        "type": "string",
        "description": "Execution status",
        "enum": [
          "PENDING",
          "SUCCESS",
          "FAIL",
          "CANCELLED",
          "PROCESSING",
          "DELIVERED"
        ],
        "example": "PENDING"
      },
      "LastID": {
        "type": "integer",
        "description": "Last returned item ID. Use this ID to get more results.\n",
        "example": 1602619
      },
      "NextPage": {
        "type": "boolean",
        "description": "Are tbere more results?",
        "example": false
      },
      "NumberElements": {
        "type": "number",
        "description": "Total items returned in query"
      },
      "PageSize": {
        "type": "number",
        "description": "Maximum elements returned per query."
      },
      "scheduler.CreatedAt": {
        "type": "string",
        "description": "Scheduled item creation time, RFC 3339 format",
        "example": "2024-11-14T17:54:40Z"
      },
      "scheduler.ExecutedAt": {
        "type": "string",
        "description": "Scheduled item execution time, RFC 3339 format",
        "example": "2024-11-14T17:54:40Z"
      },
      "scheduler.Executiona": {
        "type": "object",
        "required": [
          "execution_datetime",
          "execution_id",
          "status"
        ],
        "properties": {
          "execution_id": {
            "$ref": "#/components/schemas/ExecutionID"
          },
          "execution_datetime": {
            "type": "string",
            "description": "When the scheduler task was scheduled to run. RFC 3339 format.",
            "example": "2021-10-11T00:00:00.000Z"
          },
          "status": {
            "$ref": "#/components/schemas/ExecutionStatus"
          },
          "check_datetime": {
            "type": "string",
            "description": "Datetime check_interval processed. RFC 3339 format.",
            "example": "2021-10-11T00:00:00.000Z"
          },
          "created_at": {
            "$ref": "#/components/schemas/scheduler.CreatedAt"
          },
          "executed_at": {
            "$ref": "#/components/schemas/scheduler.ExecutedAt"
          },
          "retry_datetime": {
            "type": "string",
            "description": "Retry datetime, RFC3339 format",
            "example": "2021-10-11T00:00:00.000Z"
          },
          "updated_at": {
            "$ref": "#/components/schemas/UpdatedAt"
          },
          "error": {
            "$ref": "#/components/schemas/scheduler.ExecutionError"
          }
        }
      },
      "scheduler.ExecutionError": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error code"
          },
          "message": {
            "type": "string",
            "description": "Error message"
          }
        }
      },
      "scheduler.ExecutionsListResponse": {
        "type": "object",
        "properties": {
          "last_id": {
            "$ref": "#/components/schemas/LastID"
          },
          "next_page": {
            "$ref": "#/components/schemas/NextPage"
          },
          "number_elements": {
            "$ref": "#/components/schemas/NumberElements"
          },
          "page_size": {
            "$ref": "#/components/schemas/PageSize"
          },
          "items": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/scheduler.Executiona"
            }
          }
        }
      },
      "UpdatedAt": {
        "type": "string",
        "description": "Scheduled item last updated time, RFC 3339 format",
        "example": "2024-11-14T17:54:40Z"
      }
    },
    "responses": {
      "400BadRequest": {
        "description": "Bad request",
        "headers": {
          "x-cid": {
            "description": "Request tracking ID.",
            "schema": {
              "type": "string"
            }
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/customer.Error"
            }
          }
        }
      },
      "403Forbidden": {
        "description": "Forbidden",
        "headers": {
          "x-cid": {
            "description": "Request tracking ID.",
            "schema": {
              "type": "string"
            }
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/customer.Error"
            }
          }
        }
      },
      "404NotFound": {
        "description": "Not found",
        "headers": {
          "x-cid": {
            "description": "Request tracking ID.",
            "schema": {
              "type": "string"
            }
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/customer.Error"
            }
          }
        }
      },
      "500InternalServer": {
        "description": "Internal Server Error",
        "headers": {
          "x-cid": {
            "description": "Request tracking ID.",
            "schema": {
              "type": "string"
            }
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/customer.Error"
            }
          }
        }
      }
    }
  },
  "paths": {
    "/pix/v2/pix/out/scheduler/:scheduler_id/executions": {
      "get": {
        "summary": "List Pix scheduler executions",
        "description": "List Pix payment scheduler executions - scheduled Pix transfers that have run to completion. A scheduled transfer can have many executions if, for example, it is recurring.\n\nFor `PRESET` schedulers, all executions are created upfront when the scheduler is registered, so this endpoint returns the complete set of executions provided in `scheduler_details.executions`.\n",
        "tags": [
          "Scheduled transfers V2"
        ],
        "operationId": "get-scheduler-executions",
        "parameters": [
          {
            "$ref": "#/components/parameters/AuthHeader"
          },
          {
            "$ref": "#/components/parameters/CIDheader"
          },
          {
            "$ref": "#/components/parameters/BeginDateQuery2"
          },
          {
            "$ref": "#/components/parameters/EndDateQuery2"
          },
          {
            "$ref": "#/components/parameters/ExecutionStatusQuery"
          },
          {
            "$ref": "#/components/parameters/PerPageQuery"
          },
          {
            "$ref": "#/components/parameters/AfterIdQuery"
          }
        ],
        "responses": {
          "200": {
            "description": "Response Body",
            "headers": {
              "x-cid": {
                "description": "Request tracking ID.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/scheduler.ExecutionsListResponse"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/400BadRequest"
          },
          "403": {
            "$ref": "#/components/responses/403Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/404NotFound"
          },
          "500": {
            "$ref": "#/components/responses/500InternalServer"
          }
        }
      }
    }
  }
}
```